/* /Layout/MainLayout.razor.rz.scp.css */
.page[b-d5leo59wwd] {
    position: relative;
    display: flex;
 flex-direction:column !important; /* Zmiana z poziomu na pion */
}

main[b-d5leo59wwd] {
    flex: 1;
        display: flex;
    flex-direction: column;
}

.sidebar[b-d5leo59wwd] {
    background-image: linear-gradient(180deg, rgb(4, 26, 0) 0%, #000d0e 70%);
      width: 100% !important; /* Zamiast 250px */
    height: auto !important;
}  
.top-row [b-d5leo59wwd]::px-4{
    background-color: aqua;
        left: 0 !important; /* Wcześniej mogło być 250px */
    width: 100% !important;
}

.top-row[b-d5leo59wwd] {
       background-color: #212529!important;;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
        position: sticky;
    top: 0;
    z-index: 1000;
}

    .top-row[b-d5leo59wwd]  a, .top-row[b-d5leo59wwd]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-d5leo59wwd]  a:hover, .top-row[b-d5leo59wwd]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-d5leo59wwd]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }
@media (min-width: 641px) {
    main > div.px-4[b-d5leo59wwd] {
        padding-left: 1.5rem !important; /* Resetujemy margines dla dużych ekranów */
    }
}
@media (max-width: 640.98px) {
    .top-row[b-d5leo59wwd] {
        justify-content: space-between;
    }

    .top-row[b-d5leo59wwd]  a, .top-row[b-d5leo59wwd]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-d5leo59wwd] {
        flex-direction: row;
    }

    .sidebar[b-d5leo59wwd] {
        width: 350px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-d5leo59wwd] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-d5leo59wwd]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-d5leo59wwd], article[b-d5leo59wwd] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}

#blazor-error-ui[b-d5leo59wwd] {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-d5leo59wwd] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/* /Layout/NavMenu.razor.rz.scp.css */
/* Wymuszamy układ poziomy dla listy linków */
.nav-items-container[b-91712j3abu] {
    display: flex !important;
    flex-direction: row !important;
}

/* Usuwamy pionowe odstępy, które są domyślne w szablonie */
.nav-item[b-91712j3abu] {
    padding-top: 0 !important;
    padding-bottom: 0 !important;

}

/* Opcjonalnie: żeby linki nie zawijały się do nowej linii */
.navbar[b-91712j3abu] {
    flex-wrap: nowrap !important;
    white-space: nowrap;

}

[b-91712j3abu] .nav-link {
    color: rgb(219, 211, 211) !important;
}
/* /Pages/scbb.razor.rz.scp.css */
#B[b-bvkn5us6ld] {
    font-family: "Liberation Sans", "Segoe UI", Arial, sans-serif;
}
pre[b-bvkn5us6ld] {
  /*   font-family: Arial, sans-serif !important; */
    overflow: hidden; /* Ukrywa paski przewijania na zawsze */
}
#contt[b-bvkn5us6ld] {

    clear: both;
    width: 1200px;
    height: 22px;
    background-color: rgb(220, 220, 220);
}


[b-bvkn5us6ld] .plansza {

    float: left;
    width: 642px;    /* 675 orginalnie było */
    height: 642px;
    /*  background-color: rgb(255, 255, 255); */
     background-color: color(from color srgb r g b); 

    display: grid;

    grid-template-columns: repeat(var(--mainGridHeight), 39px);
    /*  15,45px */
    grid-template-rows: repeat(var(--mainGridWidth), 40px);

    gap: 0px;
padding:0px;


    image-rendering: pixelated;
    image-rendering: crisp-edges;
    
    /* 2. Wymuszenie sprzętowej akceleracji 3D na GPU do idealnego pozycjonowania subpikseli */
    transform: translateZ(0);
    backface-visibility: hidden;
    -webkit-font-smoothing: subpixel-antialiased;
}

.pole3[b-bvkn5us6ld] {
position: relative  !important;
    font-family: "Liberation Sans", "Segoe UI", Arial, sans-serif;

    float: left;
    width: 315px;
    height:    642px;
      border: 1px solid #333;
    border-radius: 12px;
    padding: 0.85%;
        /* blokada zaznaczenia */
        -webkit-user-select: none; /* Safari */
    -ms-user-select: none;     /* IE 10 i starsze Edge */
    user-select: none;         /* Standard dla Firefox, Chrome i Chromium  */
}

.pole3_2[b-bvkn5us6ld] {

 position: relative  !important;
 display: block;

 
 
    font-family: Arial !important;
    width: 315px;
    height: 72.5%;  /*   440px;*/    /* 456 było */
}

.literyGracz[b-bvkn5us6ld] {
    /*  float:left; */
    width: 294px;        /* 315 */
    height: 42px;        /* 45 */
    display: grid;
    grid-template-columns: repeat(7, 1fr);
transform: translateY(56%);
}
.literyGraczW[b-bvkn5us6ld] {
    /*  float:left; */
    width: 294px;        /* 315 */
    height: 42px;        /* 45 */
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    
    transform: translateY(30%);

}

.space0[b-bvkn5us6ld] {
    
    background-color: rgb(247, 247, 247);
    height: 642px;
    float: left;
    width: 0px;
    font: 22px "Liberation Sans", "Segoe UI", Arial, sans-serif;
    text-align: right;
}

.space[b-bvkn5us6ld] {
    
    position:relative;
 
    
    margin-right: 10px;
    background-color: rgb(247, 247, 247);
    height: 642px;
    float: left;
    width: 180px;
    font: 22px "Liberation Sans", "Segoe UI", Arial, sans-serif;
    text-align: left;
    border: 1px solid #333;
    border-radius: 12px;
    padding: 10px;
 
        -webkit-user-select: none; /* Safari */
    -ms-user-select: none;     /* IE 10 i starsze Edge */
    user-select: none;         /* Standard dla Firefox, Chrome i Chromium  */
    }





[b-bvkn5us6ld] .button {
    color: #000000 !important;
    background-color: var(--mainColor);
    width: 40px;
    height: 41px;

    font: 30px "Liberation Sans", "Segoe UI", Arial, sans-serif;

    /*   background-color: rgb(238, 255, 222); */
    /*   border-color: rgb(255, 255, 255); */
    border-color: var(--mainBorderColor);
    /* rgb(241, 236, 181);   */
    font-weight: 600;
    border-width: var(--mainBorder);
    text-size-adjust: inherit;
    text-transform: uppercase;
    margin-left: 0px;
    margin-right: 0px;
    margin-top: 0px;
    margin-bottom: 0px;
    padding: 0;
    /*     padding-right: 5px; */
/*     border-radius: 4px; */
    border-top-left-radius: var(--cornerRadiusTL);
    border-top-right-radius: var(--cornerRadiusTR);
      border-bottom-left-radius: var(--cornerRadiusBL);
       border-bottom-right-radius: var(--cornerRadiusBR);
         overflow: hidden; /* To "przycina" wszystko, co wystaje poza zaokrąglenie */
         
    backface-visibility: hidden;
    -webkit-user-select: none;
    user-select: none;
    /* To zazwyczaj naprawia znikanie tekstu w ghost image */
    transform: translateZ(0); 

/*         image-rendering: pixelated;
    image-rendering: crisp-edges; */
    
    /*   Wymuszenie sprzętowej akceleracji 3D na GPU do idealnego pozycjonowania subpikseli   */
/*     transform: translateZ(0);
    backface-visibility: hidden;
    -webkit-font-smoothing: subpixel-antialiased; */
}

[b-bvkn5us6ld] .puste-pole-tla {
    width: 40px;  /* Dokładnie taka sama szerokość jak kolumna w siatce */
    height: 41px; /* Dokładnie taka sama wysokość jak wiersz w siatce */
    background-color: #ffffff; /* Kolor tła Twojej planszy */
    
    /* Jeśli chcesz, aby puste pola miały delikatne ramki przed położeniem klocka: */
    box-shadow: 0 0 0 1px #cccccc; /* Użycie box-shadow zamiast border chroni przed rozjeżdżaniem */
}



.subtext[b-bvkn5us6ld] {
    color: #000000 !important;
    text-align: right;
    text-emphasis-position: bottom;
    font: 10px "Liberation Sans", "Segoe UI", Arial, sans-serif;
}

.subtext1[b-bvkn5us6ld] {
    color: #000000 !important;
    text-align: right;
    text-emphasis-position: bottom;
    font: 18px "Liberation Sans", "Segoe UI", Arial, sans-serif;
}

.subtextRU[b-bvkn5us6ld] {
color: #000000 !important;
    position: absolute;
    top: 0px;
    /* Odległość od dołu */
    right: 1px;
    /* Odległość od lewej strony */
    font-size: 11px;
    font-family: "Liberation Sans", "Segoe UI", Arial, sans-serif;
    font-weight: 100;
    line-height: 1;

    /* 
   vertical-align: super; 
    vertical-align: 8px;
    font: 10px  "Liberation Sans", "Segoe UI", Arial, sans-serif;
    line-height: normal; */
}

.buttonG[b-bvkn5us6ld] {
color: #000000 !important;
    width: 41px;   /* 42 */
    height: 41px;   /* 42 */
    font: 30px "Liberation Sans", "Segoe UI", Arial, sans-serif;
    background-color: rgb(240, 240, 240);
    border-color: rgb(197, 197, 197);
    border-width: 1px;
    font-weight: 600;
    text-transform: uppercase;
        text-size-adjust: inherit;
    opacity: 1;


      padding: 0;

    stop-opacity: 1;
/*     overflow: hidden; 
       position: relative;   */     /* Tworzy kotwicę dla indeksu ukrytego w rogu */

}


/* Wymuszenie koloru tekstu w trakcie przeciągania przycisku */
.buttonG:active .drag-text[b-bvkn5us6ld] {
    color: #1d1d1d !important; 
    opacity: 1 !important;
/*     display: inline-block; */
}

.buttonW[b-bvkn5us6ld] {
    color: #000000 !important;
    width: 41px;
    height: 41px;
    font: 30px "Liberation Sans", "Segoe UI", Arial, sans-serif;
    background-color: rgb(255, 255, 255);
    border-color: rgb(237, 237, 237);
    border-width: 1px;
    font-weight: 600;
    text-transform: uppercase;
          text-size-adjust: inherit;
     opacity: 1;
}
.buttonW:active .drag-text[b-bvkn5us6ld] {
    color: #1d1d1d !important; 
    opacity: 1 !important;
/*     display: inline-block; */
}

.start[b-bvkn5us6ld] {

  position: absolute;  /* Wyjmuje przycisk z normalnego układu */
    bottom: 1.55%;         /* Odległość od dolnej krawędzi diva (proporcjonalna) */
    right: 3.2%;
  
    float: right;
    /*       float: bottom;  */
    /*       right: 5px;
       bottom: 5px; */
    padding: 12px;
    font: 22px "Liberation Sans", "Segoe UI", Arial, sans-serif;
    background-color: rgb(255, 215, 227);
    border-color: rgb(153, 105, 105);
    border-width: 3px;
    border-radius: 20px 20px 6px 20px;
}

.start:active[b-bvkn5us6ld] {
    transform: scale(0.90);
    box-shadow: 3px 2px 22px 1px rgba(0, 0, 0, 0.24);
}

.start1[b-bvkn5us6ld] {

    position: relative;
    left: 3%;
    padding: 0px;
    font: 20px "Liberation Sans", "Segoe UI", Arial, sans-serif;
    background-color: rgb(240, 240, 240);
    border-color: rgb(187, 184, 184);
    border-width: 2px;
    border-radius: 10px;
    padding-top: 10px;
    padding-bottom: 10px;
    width: 66px;
    height:50px;
    display: inline-flex;
    align-items: center;       
    justify-content: center; 
        vertical-align: middle;
}

.LWW[b-bvkn5us6ld] {
    position: relative;
    
    float: left;
    left: 0%;
    font: 20px "Liberation Sans", "Segoe UI", Arial, sans-serif;
    background-color: rgb(255, 255, 255);
    border-color: rgb(255, 255, 255);
    border-width: 0px;
    border-radius: 10px;
    padding: 2px;
}

.wymiana[b-bvkn5us6ld] {
    position: relative;
    left: 3%;
    font: 21px "Liberation Sans", "Segoe UI", Arial, sans-serif;
    background-color: rgb(227, 227, 227);
    border-color: rgb(143, 143, 143);
    border-width: 2px;
    border-radius: 10px;
    padding: 2px;
}

.wymiana pre[b-bvkn5us6ld] {
    font-family: "Liberation Sans", "Segoe UI", Arial, sans-serif;
}

.wymiana:active[b-bvkn5us6ld] {
    transform: scale(0.90);
    transform: translateY(4px);

}

.ok[b-bvkn5us6ld] {

    position: relative;
    left: 25%;
    /*  top: 1px; */
    font: 24px "Liberation Sans", "Segoe UI", Arial, sans-serif;
    padding: 15px;
    background-color: rgb(247, 255, 243);
    border-color: rgb(153, 105, 105);
    border-width: 6px;
    border-radius: 23px;
    width:80px;
    height: 80px;
  font-weight: 300;
}

.ok:active[b-bvkn5us6ld] {
    transform: scale(0.90);

    box-shadow: 3px 2px 22px 1px rgba(0, 0, 0, 0.24);
    /* Lowering the shadow */
}

.rank[b-bvkn5us6ld] {
    font: 7px "Liberation Sans", "Segoe UI", Arial, sans-serif;
}

.brd[b-bvkn5us6ld] {
    float: left;
    background-color: rgb(202, 202, 202);
    width: 315px;
    height: 642px;
}

.literyGraczTest[b-bvkn5us6ld] {
    /*  float:left; */
    width: 315px;
    height: 45px;
    display: grid;
    grid-template-columns: repeat(7, 1fr);

}

.aft[b-bvkn5us6ld] {
    background-image: linear-gradient(rgb(22, 0, 81), rgb(22, 0, 50));
    height: 3.5rem;
}

.aft[b-bvkn5us6ld]  .na {
    background-color: rgba(255, 255, 255, 0.1);
    color: rgb(51, 30, 30);
    height: 1rem;
}

.console[b-bvkn5us6ld] {
    background-color: maroon;
    height: 500px;
    width: 300px;
    border: 3px solid#c0c0c0;
    padding: 10px;
    border-top-width: 20px;
    position: relative;
}

.console[b-bvkn5us6ld]::before {
    content: '';
    width: 10px;
    height: 10px;
    position: absolute;
    background: red;
    border-radius: 50%;
    top: -15px;
    left: 3px;
}

.console[b-bvkn5us6ld]::after {
    content: '';
    width: 10px;
    height: 10px;
    position: absolute;
    background: rgb(0, 255, 13);
    border-radius: 50%;
    top: -15px;
    left: 15px;
}


.moj-przycisk[b-bvkn5us6ld] {
        padding: 15px 30px;
        font-size: 16px;
        background-color: #007bff;
        color: white;
        border: none;
        border-radius: 5px;
        cursor: pointer;
    }


/* ------------------------------------------- keyboard ------------------------------------------- */
